"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.arrayAddToSet = void 0;
/**
 * @public
 * Adds the items in an array to the set.
 *
 * @remarks
 * See {@link arrayAddToSet}.
 */
function arrayAddToSet(items, set) {
    for (let i = 0, iEnd = items.length; i < iEnd; ++i) {
        set.add(items[i]);
    }
}
exports.arrayAddToSet = arrayAddToSet;
//# sourceMappingURL=array-add-to-set.js.map