"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.arrayIsArray = void 0;
/**
 * @public
 * Checks if the parameter is an instance of `Array` or is a view of `ArrayBuffer`.
 *
 * @remarks
 * See {@link arrayIsArray}.
 */
function arrayIsArray(obj) {
    return obj instanceof Array || ArrayBuffer.isView(obj);
}
exports.arrayIsArray = arrayIsArray;
//# sourceMappingURL=array-is-array.js.map