/**
 * @public
 * Removes each item in `itemsToRemove` from `items` (including any repeated items).
 *
 * @returns The number of items that were removed.
 *
 * @remarks
 * See {@link arrayRemoveMany}.
 */
export declare function arrayRemoveMany<TItem>(items: TItem[], itemsToRemove: readonly TItem[]): number;
