/**
 * @public
 * Replaces the first match of itemToRemove with replaceWith.
 *
 * @returns true if an element was replaced.
 *
 * @remarks
 * See {@link arrayReplaceOne}.
 */
export declare function arrayReplaceOne<TItem>(items: TItem[], itemToRemove: TItem, replaceWith: TItem): boolean;
