import { ITypedArrayTupleFactory } from "../i-typed-array-tuple-factory.js";
import { IMat4Ctor, Mat4, TMat4CtorArgs } from "./mat4.js";
import { ATypedTupleFactory } from "../a-typed-tuple-factory.js";
import { TTypedArray } from "../t-typed-array.js";
import { INormalizedDataView } from "../normalized-data-view/i-normalized-data-view.js";
export declare class Mat4Factory<T extends Mat4<TTypedArray>> extends ATypedTupleFactory<T, TMat4CtorArgs> implements ITypedArrayTupleFactory<T, TMat4CtorArgs> {
    private ctor;
    constructor(ctor: IMat4Ctor<TTypedArray>, dataView: INormalizedDataView);
    createOneEmpty(): T;
    createOne(c1r1: number, c2r1: number, c3r1: number, c4r1: number, c1r2: number, c2r2: number, c3r2: number, c4r2: number, c1r3: number, c2r3: number, c3r3: number, c4r3: number, c1r4: number, c2r4: number, c3r4: number, c4r4: number): T;
}
