"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Float64DataView = void 0;
const is_little_endian_js_1 = require("../../../web-assembly/util/is-little-endian.js");
class Float64DataView {
    getValue(dataView, ptr, littleEndian = Float64DataView.littleEndian) {
        return dataView.getFloat64(ptr, littleEndian);
    }
    setValue(dataView, ptr, value, littleEndian = Float64DataView.littleEndian) {
        dataView.setFloat64(ptr, value, littleEndian);
    }
}
exports.Float64DataView = Float64DataView;
Float64DataView.littleEndian = is_little_endian_js_1.isLittleEndian;
//# sourceMappingURL=float64-data-view.js.map