"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Uint16DataView = void 0;
const is_little_endian_js_1 = require("../../../web-assembly/util/is-little-endian.js");
class Uint16DataView {
    getValue(dataView, ptr, littleEndian = Uint16DataView.littleEndian) {
        return dataView.getUint16(ptr, littleEndian);
    }
    setValue(dataView, ptr, value, littleEndian = Uint16DataView.littleEndian) {
        dataView.setUint16(ptr, value, littleEndian);
    }
}
exports.Uint16DataView = Uint16DataView;
Uint16DataView.littleEndian = is_little_endian_js_1.isLittleEndian;
//# sourceMappingURL=uint16-data-view.js.map