"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Uint32DataView = void 0;
const is_little_endian_js_1 = require("../../../web-assembly/util/is-little-endian.js");
class Uint32DataView {
    getValue(dataView, ptr, littleEndian = Uint32DataView.littleEndian) {
        return dataView.getUint32(ptr, littleEndian);
    }
    setValue(dataView, ptr, value, littleEndian = Uint32DataView.littleEndian) {
        dataView.setUint32(ptr, value, littleEndian);
    }
}
exports.Uint32DataView = Uint32DataView;
Uint32DataView.littleEndian = is_little_endian_js_1.isLittleEndian;
//# sourceMappingURL=uint32-data-view.js.map