/**
 * @public
 * Like `Array.forEach` but for arbitrary objects.
 *
 * @remarks
 * See {@link dictionaryForEach}.
 */
export declare function dictionaryForEach<TDict extends object, TKey extends keyof TDict>(dictionary: TDict, callback: (item: TDict[TKey], key: TKey, dictionary: TDict) => void): void;
