import { equalityAreConsistentlyDefined } from "./impl/equality-are-consistently-defined.js";
import { equalityAllEqual } from "./impl/equality-all-equal.js";
/**
 * @public
 * Non-standard equality tests.
 */
export declare class _Equality {
    /** {@inheritDoc equalityAllEqual} */
    static allEqual: typeof equalityAllEqual;
    /** {@inheritDoc equalityAreConsistentlyDefined} */
    static areConsistentlyDefined: typeof equalityAreConsistentlyDefined;
}
