"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fpMaybeNewValue = void 0;
/**
 * @public
 * Returns the newValue if defined, else the old value.
 *
 * @remarks
 * See {@link fpMaybeNewValue}.
 */
function fpMaybeNewValue(newValue, oldValue) {
    if (newValue != null) {
        return newValue;
    }
    return oldValue;
}
exports.fpMaybeNewValue = fpMaybeNewValue;
//# sourceMappingURL=fp-maybe-new-value.js.map