"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Identifier = void 0;
const incrementing_identifier_factory_js_1 = require("./impl/incrementing-identifier-factory.js");
/**
 * @public
 * Utilities for generating identifiers.
 */
class _Identifier {
    /**
     * @public
     * Returns an integer that increases by 1 every call, starting from 1.
     */
    static getNextIncrementingId() {
        return _Identifier.globalUidFactory.getNextId();
    }
    constructor() {
    }
}
exports._Identifier = _Identifier;
_Identifier.globalUidFactory = new incrementing_identifier_factory_js_1.IncrementingIdentifierFactory();
//# sourceMappingURL=_identifier.js.map