import { IIdentifierFactory } from "./i-identifier-factory.js";
/**
 * @public
 * Provides an incrementing integer identifier.
 *
 * @remarks
 * By default the first ID will be 1, this may be configured at construction.
 */
export declare class IncrementingIdentifierFactory implements IIdentifierFactory {
    private id;
    constructor(id?: number);
    getNextId(): number;
}
