"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapEntriesToArray = void 0;
/**
 * @public
 * Converts a `Map` into an `Array` of its key value pairs.
 *
 * @returns An array of tuples, the first value corresponding to the key and the second to the value.
 *
 * @remarks
 * See {@link mapEntriesToArray}.
 */
function mapEntriesToArray(map) {
    return Array.from(map.entries());
}
exports.mapEntriesToArray = mapEntriesToArray;
//# sourceMappingURL=map-entries-to-array.js.map