/**
 * @public
 * Gets the first inserted key in a `Map`.
 *
 * @returns The first key in `map`, otherwise `undefined` where size 0.
 *
 * @remarks
 * See {@link mapFirstKey}.
 */
export declare function mapFirstKey<K, V>(map: Map<K, V>): K | undefined;
