"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapKeysToArray = void 0;
/**
 * @public
 * Converts a `Map` into an `Array` of its keys.
 *
 * @returns The keys of the map.
 *
 * @remarks
 * See {@link mapKeysToArray}.
 */
function mapKeysToArray(map) {
    return Array.from(map.keys());
}
exports.mapKeysToArray = mapKeysToArray;
//# sourceMappingURL=map-keys-to-array.js.map