"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Math = void 0;
const math_min_js_1 = require("./impl/math-min.js");
const math_max_js_1 = require("./impl/math-max.js");
const math_bound_js_1 = require("./impl/math-bound.js");
const math_bound_random_js_1 = require("./impl/math-bound-random.js");
const math_hypot_js_1 = require("./impl/math-hypot.js");
/**
 * @public
 * Utilities relating to math.
 */
class _Math {
    constructor() {
    }
}
exports._Math = _Math;
/** {@inheritDoc mathBound} */
_Math.bound = math_bound_js_1.mathBound;
/** {@inheritDoc mathBoundRandom} */
_Math.boundRandom = math_bound_random_js_1.mathBoundRandom;
/** {@inheritDoc mathHypot2} */
_Math.hypot2 = math_hypot_js_1.mathHypot2;
/** {@inheritDoc mathMin} */
_Math.min = math_min_js_1.mathMin;
/** {@inheritDoc mathMax} */
_Math.max = math_max_js_1.mathMax;
//# sourceMappingURL=_math.js.map