import { Range2d } from "../../array/typed-array/2d/range2d/range2d.js";
/**
 * @public
 * Utilities relating to double precision floats.
 *
 * @remarks
 * See {@link _F64}.
 */
export declare class _F64 {
    static MAX_VALUE: number;
    static MIN_POSITIVE_VALUE: number;
    static bounds: Range2d<Float64Array>;
    static getPrecision(value: number): number;
    static isEqual(a: number, b: number, delta?: number): boolean;
    static readonly mantissaBits = 52;
    static readonly mantissaPrecision: number;
}
