/**
 * @public
 * Returns a Promise of rejection with the supplied error if the `value` is false.
 *
 * @remarks
 * See {@link promiseRejectFalse}.
 */
export declare function promiseRejectFalse(value: Promise<boolean> | boolean, error: unknown): Promise<void>;
