import { setValuesToArray } from "./impl/set-values-to-array.js";
import { setSymmetricDifference } from "./impl/set-symmetric-difference.js";
import { setSetDifference } from "./impl/set-set-difference.js";
import { setIsSetEqual } from "./impl/set-is-set-equal.js";
/**
 * @public
 * Utilities that apply to `Set`.
 */
export declare class _Set {
    /** {@inheritDoc setSetDifference} */
    static readonly isSetEqual: typeof setIsSetEqual;
    /** {@inheritDoc setSetDifference} */
    static readonly setDifference: typeof setSetDifference;
    /** {@inheritDoc setValuesToArray} */
    static readonly valuesToArray: typeof setValuesToArray;
    /** {@inheritDoc setSymmetricDifference} */
    static readonly symmetricDifference: typeof setSymmetricDifference;
    private constructor();
}
