/**
 * @public
 * Like `Array.reduce` but without the requirement to return the value in the callback.
 *
 * @remarks
 * See {@link arrayCollect}.
 */
export declare function arrayCollect<TRet, TItem>(items: ArrayLike<TItem>, collected: TRet, collect: (collected: TRet, item: TItem, index: number) => void): TRet;
