/**
 * @public
 * Make an array contain the same items as another.
 * @param from - The array to copy from.
 * @param to - The array to copy into and resize.
 * @param startIndex - The index to start with in the from array.
 * @param length - The index to end with in the from array.
 *
 * @remarks
 * See {@link arrayCopyInto}.
 */
export declare function arrayCopyInto<TItem>(from: ArrayLike<TItem>, to: TItem[], startIndex?: number, length?: number): void;
