/**
 * @public
 * Given two `ArrayLike`, provides the items common between them in an `Array`.
 *
 * @remarks
 * See {@link arrayIntersect}.
 */
export declare function arrayIntersect<TItem>(a: ArrayLike<TItem>, b: ArrayLike<TItem>, getComparisonValue?: (item: TItem, index: number) => unknown): TItem[];
