/**
 * @public
 * Returns those items in A not in B, and those items in B not in A.
 *
 * @remarks
 * See {@link arraySymmetricDifference}.
 */
export declare function arraySymmetricDifference<TItem>(a: readonly TItem[], b: readonly TItem[], aSet?: ReadonlySet<TItem>, bSet?: ReadonlySet<TItem>): Set<TItem>;
