import { isLittleEndian } from "../../../web-assembly/util/is-little-endian.js";
export class Int32DataView {
    getValue(dataView, ptr, littleEndian = Int32DataView.littleEndian) {
        return dataView.getInt32(ptr, littleEndian);
    }
    setValue(dataView, ptr, value, littleEndian = Int32DataView.littleEndian) {
        dataView.setInt32(ptr, value, littleEndian);
    }
}
Int32DataView.littleEndian = isLittleEndian;
//# sourceMappingURL=int32-data-view.js.map