import { isLittleEndian } from "../../../web-assembly/util/is-little-endian.js";
export class Uint16DataView {
    getValue(dataView, ptr, littleEndian = Uint16DataView.littleEndian) {
        return dataView.getUint16(ptr, littleEndian);
    }
    setValue(dataView, ptr, value, littleEndian = Uint16DataView.littleEndian) {
        dataView.setUint16(ptr, value, littleEndian);
    }
}
Uint16DataView.littleEndian = isLittleEndian;
//# sourceMappingURL=uint16-data-view.js.map