import { isLittleEndian } from "../../../web-assembly/util/is-little-endian.js";
export class Uint32DataView {
    getValue(dataView, ptr, littleEndian = Uint32DataView.littleEndian) {
        return dataView.getUint32(ptr, littleEndian);
    }
    setValue(dataView, ptr, value, littleEndian = Uint32DataView.littleEndian) {
        dataView.setUint32(ptr, value, littleEndian);
    }
}
Uint32DataView.littleEndian = isLittleEndian;
//# sourceMappingURL=uint32-data-view.js.map