/**
 * @public
 * Weak reference counter.
 */
export declare class ReferenceCounter<TKey extends object> {
    private onZeroReference;
    constructor(onZeroReference?: (key: TKey) => void);
    add(key: TKey): number;
    remove(key: TKey): number;
    private readonly store;
}
