import { dictionaryValues } from "./impl/dictionary-values.js";
import { dictionaryExtend } from "./impl/dictionary-extend.js";
import { dictionaryCloneExtend } from "./impl/dictionary-clone-extend.js";
import { dictionaryForEach } from "./impl/dictionary-foreach.js";
import { dictionaryPairs } from "./impl/dictionary-pairs.js";
import { dictionaryPush } from "./impl/dictionary-push.js";
/**
 * @public
 * Utilities for 'dictionaries', i.e. \{ [index: string]: any \}.
 */
export class _Dictionary {
    constructor() {
    }
}
/** {@inheritDoc dictionaryCloneExtend} */
_Dictionary.cloneExtend = dictionaryCloneExtend;
/** {@inheritDoc dictionaryExtend} */
_Dictionary.extend = dictionaryExtend;
/** {@inheritDoc dictionaryForEach} */
_Dictionary.forEach = dictionaryForEach;
/** {@inheritDoc dictionaryPairs} */
_Dictionary.pairs = dictionaryPairs;
/** {@inheritDoc dictionaryPush} */
_Dictionary.push = dictionaryPush;
/** {@inheritDoc dictionaryValues} */
_Dictionary.values = dictionaryValues;
//# sourceMappingURL=_dictionary.js.map