/**
 * @public
 * Returns true if both `A` and `B` are both null, undefined or 'defined'. Defined is not null and not undefined.
 * @remarks
 * See {@link equalityAreConsistentlyDefined}.
 */
export declare function equalityAreConsistentlyDefined<T>(a: T | undefined | null, b: T | undefined | null): boolean;
