import { fpIdentity } from "./impl/fp-identity.js";
import { fpNormalizeToNull } from "./impl/fp-normalize-to-null.js";
import { fpNormalizeToUndefined } from "./impl/fp-normalize-to-undefined.js";
import { fpOnce } from "./impl/fp-once.js";
import { fpNoOp } from "./impl/fp-no-op.js";
import { fpValueOrNull } from "./impl/fp-value-or-null.js";
import { fpMaybeNewValue } from "./impl/fp-maybe-new-value.js";
import { fpDebounce } from "./impl/fp-debounce.js";
/**
 * @public
 * Utilities for functional programming.
 */
export class _Fp {
    constructor() {
    }
}
/** {@inheritDoc fpDebounce} */
_Fp.debounce = fpDebounce;
/** {@inheritDoc fpIdentity} */
_Fp.identity = fpIdentity;
/** {@inheritDoc fpMaybeNewValue} */
_Fp.maybeNewValue = fpMaybeNewValue;
/** {@inheritDoc fpNoOp} */
_Fp.noOp = fpNoOp;
/** {@inheritDoc fpNormalizeToNull} */
_Fp.normalizeToNull = fpNormalizeToNull;
/** {@inheritDoc fpNormalizeToUndefined} */
_Fp.normalizeToUndefined = fpNormalizeToUndefined;
/** {@inheritDoc fpOnce} */
_Fp.once = fpOnce;
/** {@inheritDoc fpValueOrNull} */
_Fp.valueOrNull = fpValueOrNull;
//# sourceMappingURL=_fp.js.map