/**
 * @public
 * Normalizes `undefined` input to `null`.
 *
 * @remarks
 * See {@link fpNormalizeToNull}.
 */
export function fpNormalizeToNull(value) {
    if (value === undefined) {
        return null;
    }
    return value;
}
//# sourceMappingURL=fp-normalize-to-null.js.map