/**
 * @public
 * Normalizes `null` input to `undefined`.
 *
 * @remarks
 * See {@link fpNormalizeToUndefined}.
 */
export function fpNormalizeToUndefined(value) {
    if (value === null) {
        return undefined;
    }
    return value;
}
//# sourceMappingURL=fp-normalize-to-undefined.js.map