/**
 * @public
 * Creates a function that can be called many times but will run at most once.
 *
 * @remarks
 * See {@link fpOnce}.
 */
export declare function fpOnce<TArgs extends unknown[], TRet>(initialize: (...args: TArgs) => TRet): (...args: TArgs) => TRet;
