import { IncrementingIdentifierFactory } from "./impl/incrementing-identifier-factory.js";
/**
 * @public
 * Utilities for generating identifiers.
 */
export class _Identifier {
    /**
     * @public
     * Returns an integer that increases by 1 every call, starting from 1.
     */
    static getNextIncrementingId() {
        return _Identifier.globalUidFactory.getNextId();
    }
    constructor() {
    }
}
_Identifier.globalUidFactory = new IncrementingIdentifierFactory();
//# sourceMappingURL=_identifier.js.map