import { ITemporaryListener } from "./temporary-listener.js";
/**
 * @public
 * Provides a {@link ITemporaryListener} that is cleared on `onDestroy`.
 */
export interface IOnDestroy {
    onDestroy(): void;
}
/**
 * @public
 * {@inheritDoc ITemporaryListener}
 */
export declare class AOnDestroy implements IOnDestroy {
    protected onDestroyListener: ITemporaryListener<[]>;
    onDestroy(): void;
}
