import { AReferenceCounted, IReferenceCounted } from "./a-reference-counted.js";
import { ILinkedReferences } from "./linked-references.js";
/**
 * @public
 * A reference counted object
 */
export declare class ReferenceCountedOwner extends AReferenceCounted implements IReferenceCounted {
    /**
     * Creates a ReferenceCountedOwner bound to `bindToReference`. By default, block scoped is disabled.
     */
    static createOneBound(bindToReference: ILinkedReferences, blockScoped?: boolean): IReferenceCounted;
    constructor(blockScoped?: boolean);
}
