/**
 * @public
 * Get the stored value if present, then delete the key.
 *
 * @remarks
 * See {@link (mapDeleteGet: 1)}.
 */
export declare function mapDeleteGet<TKey, TValue>(map: Map<TKey, TValue>, key: TKey): TValue | undefined;
/**
 * @public
 * {@inheritDoc (mapDeleteGet: 1)}
 */
export declare function mapDeleteGet<TKey extends object, TValue>(map: WeakMap<TKey, TValue>, key: TKey): TValue | undefined;
