/**
 * @public
 * Converts a `Map` into an `Array` of its key value pairs.
 *
 * @returns An array of tuples, the first value corresponding to the key and the second to the value.
 *
 * @remarks
 * See {@link mapEntriesToArray}.
 */
export function mapEntriesToArray(map) {
    return Array.from(map.entries());
}
//# sourceMappingURL=map-entries-to-array.js.map