/**
 * @public
 * Converts a `Map` into an `Array` of its keys.
 *
 * @returns The keys of the map.
 *
 * @remarks
 * See {@link mapKeysToArray}.
 */
export function mapKeysToArray(map) {
    return Array.from(map.keys());
}
//# sourceMappingURL=map-keys-to-array.js.map