import { mathMin } from "./impl/math-min.js";
import { mathMax } from "./impl/math-max.js";
import { mathBound } from "./impl/math-bound.js";
import { mathBoundRandom } from "./impl/math-bound-random.js";
import { mathHypot2 } from "./impl/math-hypot.js";
/**
 * @public
 * Utilities relating to math.
 */
export class _Math {
    constructor() {
    }
}
/** {@inheritDoc mathBound} */
_Math.bound = mathBound;
/** {@inheritDoc mathBoundRandom} */
_Math.boundRandom = mathBoundRandom;
/** {@inheritDoc mathHypot2} */
_Math.hypot2 = mathHypot2;
/** {@inheritDoc mathMin} */
_Math.min = mathMin;
/** {@inheritDoc mathMax} */
_Math.max = mathMax;
//# sourceMappingURL=_math.js.map