/**
 * @public
 * Returns the larger of the two parameters `a` and `b`.
 *
 * @remarks
 * NaN input will cause a debug error.
 * Differs from Math.max by taking only 2 arguments, avoids overhead of handling variable number of arguments.
 *
 * See {@link mathMax}.
 */
export declare function mathMax(a: number, b: number): number;
