/**
 * @public
 * Tests to see if all of the members of a set are the same.
 *
 * @remarks
 * See {@link setIsSetEqual}.
 */
export function setIsSetEqual(a, b) {
    if (a.size !== b.size) {
        return false;
    }
    for (const item of a) {
        if (!b.has(item)) {
            return false;
        }
    }
    return true;
}
//# sourceMappingURL=set-is-set-equal.js.map