/**
 * @public
 * returns items in A not in B.
 *
 * @remarks
 * See {@link setSetDifference}.
 */
export function setSetDifference(a, b) {
    const result = [];
    a.forEach((item) => {
        if (!b.has(item)) {
            result.push(item);
        }
    });
    return result;
}
//# sourceMappingURL=set-set-difference.js.map