/**
 * @public
 * Converts a set into an array of its values.
 *
 * @returns The values of the set.
 *
 * @remarks
 * See {@link setValuesToArray}.
 */
export function setValuesToArray(set) {
    return Array.from(set.values());
}
//# sourceMappingURL=set-values-to-array.js.map