"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Array = void 0;
const array_binary_index_of_js_1 = require("./impl/array-binary-index-of.js");
const array_is_array_js_1 = require("./impl/array-is-array.js");
const array_binary_last_index_of_js_1 = require("./impl/array-binary-last-index-of.js");
const array_map_js_1 = require("./impl/array-map.js");
const array_copy_into_js_1 = require("./impl/array-copy-into.js");
const array_flat_map_js_1 = require("./impl/array-flat-map.js");
const array_for_each_js_1 = require("./impl/array-for-each.js");
const array_index_js_1 = require("./impl/array-index.js");
const array_intersect_js_1 = require("./impl/array-intersect.js");
const array_last_js_1 = require("./impl/array-last.js");
const array_normalize_empty_to_undefined_js_1 = require("./impl/array-normalize-empty-to-undefined.js");
const array_normalize_nullish_to_empty_js_1 = require("./impl/array-normalize-nullish-to-empty.js");
const array_collect_js_1 = require("./impl/array-collect.js");
const array_remove_many_js_1 = require("./impl/array-remove-many.js");
const array_remove_one_js_1 = require("./impl/array-remove-one.js");
const array_replace_one_js_1 = require("./impl/array-replace-one.js");
const array_compact_js_1 = require("./impl/array-compact.js");
const array_compact_map_js_1 = require("./impl/array-compact-map.js");
const array_union_js_1 = require("./impl/array-union.js");
const array_push_unique_js_1 = require("./impl/array-push-unique.js");
const array_empty_array_js_1 = require("./impl/array-empty-array.js");
const array_generate_range_js_1 = require("./impl/array-generate-range.js");
const array_map_range_js_1 = require("./impl/array-map-range.js");
const array_contains_js_1 = require("./impl/array-contains.js");
const array_insert_at_index_js_1 = require("./impl/array-insert-at-index.js");
const array_symmetric_difference_js_1 = require("./impl/array-symmetric-difference.js");
const array_set_difference_js_1 = require("./impl/array-set-difference.js");
const array_is_not_empty_js_1 = require("./impl/array-is-not-empty.js");
const array_unique_js_1 = require("./impl/array-unique.js");
const array_add_to_set_js_1 = require("./impl/array-add-to-set.js");
const array_for_each_range_js_1 = require("./impl/array-for-each-range.js");
const array_max_js_1 = require("./impl/array-max.js");
const array_min_js_1 = require("./impl/array-min.js");
const array_binary_find_insertion_index_js_1 = require("./impl/array-binary-find-insertion-index.js");
/**
 * @public
 * Utilities that apply to `Array` and `ArrayLike`.
 */
class _Array {
    // noinspection JSUnusedLocalSymbols
    constructor() {
    }
}
exports._Array = _Array;
/** {@inheritDoc arrayAddToSet} */
_Array.addToSet = array_add_to_set_js_1.arrayAddToSet;
/** {@inheritDoc arrayBinaryFindInsertionIndex} */
_Array.binaryFindInsertionIndex = array_binary_find_insertion_index_js_1.arrayBinaryFindInsertionIndex;
/** {@inheritDoc arrayBinaryIndexOf} */
_Array.binaryIndexOf = array_binary_index_of_js_1.arrayBinaryIndexOf;
/** {@inheritDoc arrayBinaryLastIndexOf} */
_Array.binaryLastIndexOf = array_binary_last_index_of_js_1.arrayBinaryLastIndexOf;
/** {@inheritDoc arrayCollect} */
_Array.collect = array_collect_js_1.arrayCollect;
/** {@inheritDoc arrayCompact} */
_Array.compact = array_compact_js_1.arrayCompact;
/** {@inheritDoc arrayCompactMap} */
_Array.compactMap = array_compact_map_js_1.arrayCompactMap;
/** {@inheritDoc (arrayContains:2)} */
_Array.contains = array_contains_js_1.arrayContains;
/** {@inheritDoc arrayCopyInto} */
_Array.copyInto = array_copy_into_js_1.arrayCopyInto;
/** {@inheritDoc arrayEmptyArray} */
_Array.emptyArray = array_empty_array_js_1.arrayEmptyArray;
/** {@inheritDoc arrayFlatMap} */
_Array.flatMap = array_flat_map_js_1.arrayFlatMap;
/** {@inheritDoc arrayForEach} */
_Array.forEach = array_for_each_js_1.arrayForEach;
/** {@inheritDoc arrayForEachRange} */
_Array.forEachRange = array_for_each_range_js_1.arrayForEachRange;
/** {@inheritDoc arrayGenerateRange} */
_Array.generateRange = array_generate_range_js_1.arrayGenerateRange;
/** {@inheritDoc arrayIndex} */
_Array.index = array_index_js_1.arrayIndex;
/** {@inheritDoc arrayInsertAtIndex} */
_Array.insertAtIndex = array_insert_at_index_js_1.arrayInsertAtIndex;
/** {@inheritDoc arrayIntersect} */
_Array.intersect = array_intersect_js_1.arrayIntersect;
/** {@inheritDoc arrayIsArray} */
_Array.isArray = array_is_array_js_1.arrayIsArray;
/** {@inheritDoc arrayIsNotEmpty} */
_Array.isNotEmpty = array_is_not_empty_js_1.arrayIsNotEmpty;
/** {@inheritDoc arrayLast} */
_Array.last = array_last_js_1.arrayLast;
/** {@inheritDoc arrayMap} */
_Array.map = array_map_js_1.arrayMap;
/** {@inheritDoc arrayMapRange} */
_Array.mapRange = array_map_range_js_1.arrayMapRange;
/** {@inheritDoc arrayMax} */
_Array.max = array_max_js_1.arrayMax;
/** {@inheritDoc arrayMin} */
_Array.min = array_min_js_1.arrayMin;
/** {@inheritDoc arrayNormalizeEmptyToUndefined} */
_Array.normalizeEmptyToUndefined = array_normalize_empty_to_undefined_js_1.arrayNormalizeEmptyToUndefined;
/** {@inheritDoc arrayNormalizeNullishToEmpty} */
_Array.normalizeNullishToEmpty = array_normalize_nullish_to_empty_js_1.arrayNormalizeNullishToEmpty;
/** {@inheritDoc arrayPushUnique} */
_Array.pushUnique = array_push_unique_js_1.arrayPushUnique;
/** {@inheritDoc arrayRemoveMany} */
_Array.removeMany = array_remove_many_js_1.arrayRemoveMany;
/** {@inheritDoc arrayRemoveOne} */
_Array.removeOne = array_remove_one_js_1.arrayRemoveOne;
/** {@inheritDoc arrayReplaceOne} */
_Array.replaceOne = array_replace_one_js_1.arrayReplaceOne;
/** {@inheritDoc arraySetDifference} */
_Array.setDifference = array_set_difference_js_1.arraySetDifference;
/** {@inheritDoc arraySymmetricDifference} */
_Array.symmetricDifference = array_symmetric_difference_js_1.arraySymmetricDifference;
/** {@inheritDoc arrayUnion} */
_Array.union = array_union_js_1.arrayUnion;
/** {@inheritDoc arrayUnique} */
_Array.unique = array_unique_js_1.arrayUnique;
//# sourceMappingURL=_array.js.map