"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.arrayIsNotEmpty = void 0;
/**
 * @public
 * Returns true if the argument is not null, undefined or empty. Type narrows to `TArray` where true.
 *
 * @returns true if the argument is a non-zero length array.
 *
 * @remarks
 * See {@link arrayIsNotEmpty}.
 */
function arrayIsNotEmpty(items) {
    if (items == null) {
        return false;
    }
    return items.length !== 0;
}
exports.arrayIsNotEmpty = arrayIsNotEmpty;
//# sourceMappingURL=array-is-not-empty.js.map