import { ITypedArrayTupleFactory } from "../i-typed-array-tuple-factory.js";
import { ATypedTupleFactory } from "../a-typed-tuple-factory.js";
import { TTypedArray } from "../t-typed-array.js";
import { IMat3Ctor, Mat3, TMat3CtorArgs } from "./mat3.js";
import { INormalizedDataView } from "../normalized-data-view/i-normalized-data-view.js";
export declare class Mat3Factory<T extends Mat3<TTypedArray>> extends ATypedTupleFactory<T, TMat3CtorArgs> implements ITypedArrayTupleFactory<T, TMat3CtorArgs> {
    private ctor;
    constructor(ctor: IMat3Ctor<TTypedArray>, dataView: INormalizedDataView);
    createOneEmpty(): T;
    createOne(c1r1: number, c2r1: number, c3r1: number, c1r2: number, c2r2: number, c3r2: number, c1r3: number, c2r3: number, c3r3: number): T;
}
