"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Mat3Factory = void 0;
const a_typed_tuple_factory_js_1 = require("../a-typed-tuple-factory.js");
class Mat3Factory extends a_typed_tuple_factory_js_1.ATypedTupleFactory {
    constructor(ctor, dataView) {
        super(9, ctor.BYTES_PER_ELEMENT, dataView);
        this.ctor = ctor;
    }
    createOneEmpty() {
        return new this.ctor();
    }
    createOne(c1r1, c2r1, c3r1, c1r2, c2r2, c3r2, c1r3, c2r3, c3r3) {
        const a = this.createOneEmpty();
        a[0] = c1r1;
        a[1] = c2r1;
        a[2] = c3r1;
        a[3] = c1r2;
        a[4] = c2r2;
        a[5] = c3r2;
        a[6] = c1r3;
        a[7] = c2r3;
        a[8] = c3r3;
        return a;
    }
}
exports.Mat3Factory = Mat3Factory;
//# sourceMappingURL=mat3-factory.js.map