"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Float32DataView = void 0;
const is_little_endian_js_1 = require("../../../web-assembly/util/is-little-endian.js");
class Float32DataView {
    getValue(dataView, ptr, littleEndian = Float32DataView.littleEndian) {
        return dataView.getFloat32(ptr, littleEndian);
    }
    setValue(dataView, ptr, value, littleEndian = Float32DataView.littleEndian) {
        dataView.setFloat32(ptr, value, littleEndian);
    }
}
exports.Float32DataView = Float32DataView;
Float32DataView.littleEndian = is_little_endian_js_1.isLittleEndian;
//# sourceMappingURL=float32-data-view.js.map