"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Int16DataView = void 0;
const is_little_endian_js_1 = require("../../../web-assembly/util/is-little-endian.js");
class Int16DataView {
    getValue(dataView, ptr, littleEndian = Int16DataView.littleEndian) {
        return dataView.getInt16(ptr, littleEndian);
    }
    setValue(dataView, ptr, value, littleEndian = Int16DataView.littleEndian) {
        dataView.setInt16(ptr, value, littleEndian);
    }
}
exports.Int16DataView = Int16DataView;
Int16DataView.littleEndian = is_little_endian_js_1.isLittleEndian;
//# sourceMappingURL=int16-data-view.js.map