/**
 * @public
 * converts objects into key value pair tuples.
 *
 * @remarks
 * See {@link dictionaryPairs}.
 */
export declare function dictionaryPairs<TKey extends string | number | symbol, TValue>(dictionary: {
    [index in TKey]: TValue;
}): [TKey, TValue][];
