"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dictionaryValues = void 0;
/**
 * @public
 * Equivalent to Object.values.
 *
 * @remarks
 * See {@link dictionaryValues}.
 */
function dictionaryValues(d) {
    const keys = Object.keys(d);
    const l = keys.length;
    const a = new Array(l);
    for (let i = 0; i < l; ++i) {
        a[i] = d[keys[i]];
    }
    return a;
}
exports.dictionaryValues = dictionaryValues;
//# sourceMappingURL=dictionary-values.js.map