"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NestedError = void 0;
const nested_error_factory_js_1 = require("./nested-error-factory.js");
const fp_identity_js_1 = require("../fp/impl/fp-identity.js");
const config = {
    getTxFallback: fp_identity_js_1.fpIdentity,
    defaultError: "An unknown error occurred.",
};
/**
 * @public
 * A non-localized {@link INestedError}.
 */
exports.NestedError = (0, nested_error_factory_js_1.getNestedErrorCtor)(config);
//# sourceMappingURL=nested-error.js.map