"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Fp = void 0;
const fp_identity_js_1 = require("./impl/fp-identity.js");
const fp_normalize_to_null_js_1 = require("./impl/fp-normalize-to-null.js");
const fp_normalize_to_undefined_js_1 = require("./impl/fp-normalize-to-undefined.js");
const fp_once_js_1 = require("./impl/fp-once.js");
const fp_no_op_js_1 = require("./impl/fp-no-op.js");
const fp_value_or_null_js_1 = require("./impl/fp-value-or-null.js");
const fp_maybe_new_value_js_1 = require("./impl/fp-maybe-new-value.js");
const fp_debounce_js_1 = require("./impl/fp-debounce.js");
/**
 * @public
 * Utilities for functional programming.
 */
class _Fp {
    constructor() {
    }
}
exports._Fp = _Fp;
/** {@inheritDoc fpDebounce} */
_Fp.debounce = fp_debounce_js_1.fpDebounce;
/** {@inheritDoc fpIdentity} */
_Fp.identity = fp_identity_js_1.fpIdentity;
/** {@inheritDoc fpMaybeNewValue} */
_Fp.maybeNewValue = fp_maybe_new_value_js_1.fpMaybeNewValue;
/** {@inheritDoc fpNoOp} */
_Fp.noOp = fp_no_op_js_1.fpNoOp;
/** {@inheritDoc fpNormalizeToNull} */
_Fp.normalizeToNull = fp_normalize_to_null_js_1.fpNormalizeToNull;
/** {@inheritDoc fpNormalizeToUndefined} */
_Fp.normalizeToUndefined = fp_normalize_to_undefined_js_1.fpNormalizeToUndefined;
/** {@inheritDoc fpOnce} */
_Fp.once = fp_once_js_1.fpOnce;
/** {@inheritDoc fpValueOrNull} */
_Fp.valueOrNull = fp_value_or_null_js_1.fpValueOrNull;
//# sourceMappingURL=_fp.js.map