/**
 * @public
 * Normalizes `null` input to `undefined`.
 *
 * @remarks
 * See {@link fpNormalizeToUndefined}.
 */
export declare function fpNormalizeToUndefined<TValue>(value: TValue): Exclude<TValue, null> | undefined;
