"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fpValueOrNull = void 0;
/**
 * @public
 * Returns the value if the predicate is true, else null.
 * @remarks
 * See {@link fpValueOrNull}.
 */
function fpValueOrNull(predicate, value) {
    if (predicate) {
        return value;
    }
    return null;
}
exports.fpValueOrNull = fpValueOrNull;
//# sourceMappingURL=fp-value-or-null.js.map