import { iteratorConsumeAll } from "./impl/iterator-consume-all.js";
/**
 * @public
 * Utilities relating to `IterableIterator` & generators.
 */
export declare class _Iterator {
    /** {@inheritDoc iteratorEmptyIterator} */
    static emptyIterator: IterableIterator<any> & {
        result: {
            done: true;
            value: any;
        };
    };
    /** {@inheritDoc iteratorConsumeAll} */
    static readonly consumeAll: typeof iteratorConsumeAll;
    private constructor();
}
