"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.iteratorConsumeAll = void 0;
/**
 * @public
 * Iterate over an iterator until it's done, discarding the results.
 */
function iteratorConsumeAll(iterator) {
    // eslint-disable-next-line @typescript-eslint/strict-boolean-expressions
    while (!iterator.next().done) {
        // no action needed
    }
}
exports.iteratorConsumeAll = iteratorConsumeAll;
//# sourceMappingURL=iterator-consume-all.js.map