"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Map = void 0;
const map_array_map_js_1 = require("./impl/map-array-map.js");
const map_first_key_js_1 = require("./impl/map-first-key.js");
const map_first_value_js_1 = require("./impl/map-first-value.js");
const map_intialize_get_js_1 = require("./impl/map-intialize-get.js");
const map_keys_to_array_js_1 = require("./impl/map-keys-to-array.js");
const map_push_js_1 = require("./impl/map-push.js");
const map_values_to_array_js_1 = require("./impl/map-values-to-array.js");
const map_entries_to_array_js_1 = require("./impl/map-entries-to-array.js");
const map_delete_get_js_1 = require("./impl/map-delete-get.js");
const map_add_to_set_js_1 = require("./impl/map-add-to-set.js");
const map_delete_from_set_js_1 = require("./impl/map-delete-from-set.js");
const map_reporting_add_to_set_js_1 = require("./impl/map-reporting-add-to-set.js");
const map_remove_many_from_array_js_1 = require("./impl/map-remove-many-from-array.js");
const map_remove_one_from_array_js_1 = require("./impl/map-remove-one-from-array.js");
const map_set_difference_js_1 = require("./impl/map-set-difference.js");
const map_symmetric_difference_js_1 = require("./impl/map-symmetric-difference.js");
const map_union_js_1 = require("./impl/map-union.js");
const map_intersect_js_1 = require("./impl/map-intersect.js");
const map_concat_js_1 = require("./impl/map-concat.js");
const map_clearing_delete_from_set_js_1 = require("./impl/map-clearing-delete-from-set.js");
/**
 * @public
 * Utilities that apply to `Map`.
 */
class _Map {
    constructor() {
    }
}
exports._Map = _Map;
/** {@inheritDoc (mapAddToSet: 1)} */
_Map.addToSet = map_add_to_set_js_1.mapAddToSet;
/** {@inheritDoc mapArrayMap} */
_Map.arrayMap = map_array_map_js_1.mapArrayMap;
/** {@inheritDoc (mapConcat: 1)} */
_Map.concat = map_concat_js_1.mapConcat;
/** {@inheritDoc (mapDeleteFromSet: 1)} */
_Map.deleteFromSet = map_delete_from_set_js_1.mapDeleteFromSet;
/** {@inheritDoc (mapDeleteGet: 1)} */
_Map.deleteGet = map_delete_get_js_1.mapDeleteGet;
/** {@inheritDoc (mapClearingDeleteFromSet: 1)} */
_Map.clearingDeleteFromSet = map_clearing_delete_from_set_js_1.mapClearingDeleteFromSet;
/** {@inheritDoc mapEntriesToArray} */
_Map.entriesToArray = map_entries_to_array_js_1.mapEntriesToArray;
/** {@inheritDoc mapFirstKey} */
_Map.firstKey = map_first_key_js_1.mapFirstKey;
/** {@inheritDoc mapFirstValue} */
_Map.firstValue = map_first_value_js_1.mapFirstValue;
/** {@inheritDoc mapIntersect} */
_Map.intersect = map_intersect_js_1.mapIntersect;
/** {@inheritDoc (mapInitializeGet:1)} */
_Map.initializeGet = map_intialize_get_js_1.mapInitializeGet;
/** {@inheritDoc mapKeysToArray} */
_Map.keysToArray = map_keys_to_array_js_1.mapKeysToArray;
/** {@inheritDoc (mapPush: 1)} */
_Map.push = map_push_js_1.mapPush;
/** {@inheritDoc (mapReportingAddToSet: 1)} */
_Map.removeManyFromArray = map_remove_many_from_array_js_1.mapRemoveManyFromArray;
/** {@inheritDoc (mapRemoveOneFromArray: 1)} */
_Map.removeOneFromArray = map_remove_one_from_array_js_1.mapRemoveOneFromArray;
/** {@inheritDoc (mapReportingAddToSet: 1)} */
_Map.reportingAddToSet = map_reporting_add_to_set_js_1.mapReportingAddToSet;
/** {@inheritDoc mapSetDifference} */
_Map.setDifference = map_set_difference_js_1.mapSetDifference;
/** {@inheritDoc mapSymmetricDifference} */
_Map.symmetricDifference = map_symmetric_difference_js_1.mapSymmetricDifference;
/** {@inheritDoc mapUnion} */
_Map.union = map_union_js_1.mapUnion;
/** {@inheritDoc mapValuesToArray} */
_Map.valuesToArray = map_values_to_array_js_1.mapValuesToArray;
//# sourceMappingURL=_map.js.map