"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapFirstKey = void 0;
/**
 * @public
 * Gets the first inserted key in a `Map`.
 *
 * @returns The first key in `map`, otherwise `undefined` where size 0.
 *
 * @remarks
 * See {@link mapFirstKey}.
 */
function mapFirstKey(map) {
    return map
        .keys()
        .next()
        .value;
}
exports.mapFirstKey = mapFirstKey;
//# sourceMappingURL=map-first-key.js.map