"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapSetDifference = void 0;
/**
 * @public
 * returns items in A not in B.
 *
 * @remarks
 * See {@link mapSetDifference}.
 */
function mapSetDifference(a, b) {
    const result = new Map();
    a.forEach((item, key) => {
        if (!b.has(key)) {
            result.set(key, item);
        }
    });
    return result;
}
exports.mapSetDifference = mapSetDifference;
//# sourceMappingURL=map-set-difference.js.map