/**
 * @public
 *  Returns a map with keys in A not in B, and keys in B not in A.
 *
 * @remarks
 * See {@link mapSymmetricDifference}.
 */
export declare function mapSymmetricDifference<TKey, TIem>(a: ReadonlyMap<TKey, TIem>, b: ReadonlyMap<TKey, TIem>): Map<TKey, TIem>;
