/**
 * @public
 * Converts a `Map` into an `Array` of its values.
 *
 * @returns The values of `map`.
 *
 * @remarks
 * See {@link mapValuesToArray}.
 */
export declare function mapValuesToArray<TKey, TValue>(map: Map<TKey, TValue>): TValue[];
