"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapValuesToArray = void 0;
/**
 * @public
 * Converts a `Map` into an `Array` of its values.
 *
 * @returns The values of `map`.
 *
 * @remarks
 * See {@link mapValuesToArray}.
 */
function mapValuesToArray(map) {
    return Array.from(map.values());
}
exports.mapValuesToArray = mapValuesToArray;
//# sourceMappingURL=map-values-to-array.js.map