import { numberGetHexString } from "./impl/number-get-hex-string.js";
import { _F32 } from "./impl/_f32.js";
import { _F64 } from "./impl/_f64.js";
/**
 * @public
 * Utilities that apply to numbers.
 */
export declare class _Number {
    /** {@inheritDoc _F32} */
    static f32: typeof _F32;
    /** {@inheritDoc _F64} */
    static f64: typeof _F64;
    /** {@inheritDoc numberGetHexString} */
    static readonly getHexString: typeof numberGetHexString;
    private constructor();
}
