import { promiseRejectFalsey } from "./impl/promise-reject-falsey.js";
import { promiseRejectNull } from "./impl/promise-reject-null.js";
import { promiseRejectFalse } from "./impl/promise-reject-false.js";
import { promiseDelay } from "./impl/promise-delay.js";
/**
 * @public
 * Utilities for handling promises.
 */
export declare class _Promise {
    /** {@inheritDoc promiseDelay} */
    static readonly delay: typeof promiseDelay;
    /** {@inheritDoc promiseRejectFalse} */
    static readonly rejectFalse: typeof promiseRejectFalse;
    /** {@inheritDoc promiseRejectFalsey} */
    static readonly rejectFalsey: typeof promiseRejectFalsey;
    /** {@inheritDoc promiseRejectNull} */
    static readonly rejectNull: typeof promiseRejectNull;
    private constructor();
}
