/**
 * @public
 * Returns a `Promise` which will resolve to `resolveWith` after a delay of `delay` (in milliseconds).
 *
 * @remarks
 * See {@link promiseDelay}.
 */
export declare function promiseDelay<T>(resolveWith: T, delay?: number): Promise<T>;
