/**
 * @public
 * Returns a Promise of rejection with the supplied error if the `value` is falsy.
 *
 * @remarks
 * See {@link promiseRejectFalsey}.
 */
export declare function promiseRejectFalsey(value: Promise<boolean> | boolean, error: unknown): Promise<void>;
