"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setSetDifference = void 0;
/**
 * @public
 * returns items in A not in B.
 *
 * @remarks
 * See {@link setSetDifference}.
 */
function setSetDifference(a, b) {
    const result = [];
    a.forEach((item) => {
        if (!b.has(item)) {
            result.push(item);
        }
    });
    return result;
}
exports.setSetDifference = setSetDifference;
//# sourceMappingURL=set-set-difference.js.map