"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setSymmetricDifference = void 0;
/**
 * @public
 *  Returns those items in A not in B, and those items in B not in A.
 * @remarks
 * See {@link setSymmetricDifference}.
 */
function setSymmetricDifference(a, b) {
    const result = [];
    a.forEach((item) => {
        if (!b.has(item)) {
            result.push(item);
        }
    });
    b.forEach((item) => {
        if (!a.has(item)) {
            result.push(item);
        }
    });
    return result;
}
exports.setSymmetricDifference = setSymmetricDifference;
//# sourceMappingURL=set-symmetric-difference.js.map