"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setValuesToArray = void 0;
/**
 * @public
 * Converts a set into an array of its values.
 *
 * @returns The values of the set.
 *
 * @remarks
 * See {@link setValuesToArray}.
 */
function setValuesToArray(set) {
    return Array.from(set.values());
}
exports.setValuesToArray = setValuesToArray;
//# sourceMappingURL=set-values-to-array.js.map