/**
 * @public
 * Strips null and undefined items from arrays (non mutative).
 *
 * @remarks
 * See {@link arrayCompact}.
 */
export declare function arrayCompact<TItem>(items: ArrayLike<TItem | null | undefined>): TItem[];
