import { TTypedArray } from "../typed-array/t-typed-array.js";
/**
 * @public
 * Returns true if the item is present in the list (=== equality test).
 *
 * @remarks
 * See {@link (arrayContains:1)}.
 */
export declare function arrayContains(items: TTypedArray, item: number): boolean;
/**
 * @public
 * Returns true if the item is present in the list (=== equality test).
 *
 * @remarks
 * See {@link (arrayContains:2)}.
 */
export declare function arrayContains<TItem>(items: readonly TItem[], item: TItem): boolean;
