/**
 * @public
 * Returns true if the argument is not null, undefined or empty. Type narrows to `TArray` where true.
 *
 * @returns true if the argument is a non-zero length array.
 *
 * @remarks
 * See {@link arrayIsNotEmpty}.
 */
export function arrayIsNotEmpty(items) {
    if (items == null) {
        return false;
    }
    return items.length !== 0;
}
//# sourceMappingURL=array-is-not-empty.js.map