/**
 * @public
 * Given an `ArrayLike` of `ArrayLike`, provides all unique items in an `Array`.
 *
 * @remarks
 * See {@link arrayUnion}.
 */
export declare function arrayUnion<TItem>(items: ArrayLike<ArrayLike<TItem>>, getComparisonValue?: (item: TItem, index: number) => unknown): TItem[];
