/**
 * @public
 */
export type TGetComparisonValueAtIndex<T> = (indexable: T, index: number) => number;
/**
 * @internal
 */
export declare function binaryFindInsertionIndex<T>(indexable: T, comparisonValueToSearchFor: number, getComparisonValueAtIndex: TGetComparisonValueAtIndex<T>, isLow: (comparisonValueToSearchFor: number, currentComparisonValue: number) => boolean, adjustValue: (value: number) => number, length: number, startIndex?: number): number;
