import { isLittleEndian } from "../../../web-assembly/util/is-little-endian.js";
export class Float32DataView {
    getValue(dataView, ptr, littleEndian = Float32DataView.littleEndian) {
        return dataView.getFloat32(ptr, littleEndian);
    }
    setValue(dataView, ptr, value, littleEndian = Float32DataView.littleEndian) {
        dataView.setFloat32(ptr, value, littleEndian);
    }
}
Float32DataView.littleEndian = isLittleEndian;
//# sourceMappingURL=float32-data-view.js.map