import { isLittleEndian } from "../../../web-assembly/util/is-little-endian.js";
export class Float64DataView {
    getValue(dataView, ptr, littleEndian = Float64DataView.littleEndian) {
        return dataView.getFloat64(ptr, littleEndian);
    }
    setValue(dataView, ptr, value, littleEndian = Float64DataView.littleEndian) {
        dataView.setFloat64(ptr, value, littleEndian);
    }
}
Float64DataView.littleEndian = isLittleEndian;
//# sourceMappingURL=float64-data-view.js.map