import { isLittleEndian } from "../../../web-assembly/util/is-little-endian.js";
export class Int16DataView {
    getValue(dataView, ptr, littleEndian = Int16DataView.littleEndian) {
        return dataView.getInt16(ptr, littleEndian);
    }
    setValue(dataView, ptr, value, littleEndian = Int16DataView.littleEndian) {
        dataView.setInt16(ptr, value, littleEndian);
    }
}
Int16DataView.littleEndian = isLittleEndian;
//# sourceMappingURL=int16-data-view.js.map