import { TTypedArrayCtor } from "./t-typed-array-ctor.js";
/**
 * @internal
 */
export interface ITypedArrayConstructors {
    f64: Function;
    f32: Function;
    u32: Function;
    i32: Function;
    u16: Function;
    i16: Function;
    u8c: Function;
    u8: Function;
    i8: Function;
}
/**
 * @internal
 */
export declare function populateTypedArrayConstructorMap(constructors: ITypedArrayConstructors): Map<TTypedArrayCtor, Function>;
