/**
 * @public
 * Returns the newValue if defined, else the old value.
 *
 * @remarks
 * See {@link fpMaybeNewValue}.
 */
export function fpMaybeNewValue(newValue, oldValue) {
    if (newValue != null) {
        return newValue;
    }
    return oldValue;
}
//# sourceMappingURL=fp-maybe-new-value.js.map