/**
 * @public
 * Normalizes `undefined` input to `null`.
 *
 * @remarks
 * See {@link fpNormalizeToNull}.
 */
export declare function fpNormalizeToNull<TValue>(value: TValue): Exclude<TValue, undefined> | null;
