/**
 * @public
 * Returns the value if the predicate is true, else null.
 * @remarks
 * See {@link fpValueOrNull}.
 */
export function fpValueOrNull(predicate, value) {
    if (predicate) {
        return value;
    }
    return null;
}
//# sourceMappingURL=fp-value-or-null.js.map