/**
 * @public
 * Utilities for generating identifiers.
 */
export declare class _Identifier {
    /**
     * @public
     * Returns an integer that increases by 1 every call, starting from 1.
     */
    static getNextIncrementingId(): number;
    private constructor();
    private static globalUidFactory;
}
