import { mapArrayMap } from "./impl/map-array-map.js";
import { mapFirstKey } from "./impl/map-first-key.js";
import { mapFirstValue } from "./impl/map-first-value.js";
import { mapInitializeGet } from "./impl/map-intialize-get.js";
import { mapKeysToArray } from "./impl/map-keys-to-array.js";
import { mapPush } from "./impl/map-push.js";
import { mapValuesToArray } from "./impl/map-values-to-array.js";
import { mapEntriesToArray } from "./impl/map-entries-to-array.js";
import { mapDeleteGet } from "./impl/map-delete-get.js";
import { mapAddToSet } from "./impl/map-add-to-set.js";
import { mapDeleteFromSet } from "./impl/map-delete-from-set.js";
import { mapReportingAddToSet } from "./impl/map-reporting-add-to-set.js";
import { mapRemoveManyFromArray } from "./impl/map-remove-many-from-array.js";
import { mapRemoveOneFromArray } from "./impl/map-remove-one-from-array.js";
import { mapSetDifference } from "./impl/map-set-difference.js";
import { mapSymmetricDifference } from "./impl/map-symmetric-difference.js";
import { mapUnion } from "./impl/map-union.js";
import { mapIntersect } from "./impl/map-intersect.js";
import { mapConcat } from "./impl/map-concat.js";
import { mapClearingDeleteFromSet } from "./impl/map-clearing-delete-from-set.js";
/**
 * @public
 * Utilities that apply to `Map`.
 */
export class _Map {
    constructor() {
    }
}
/** {@inheritDoc (mapAddToSet: 1)} */
_Map.addToSet = mapAddToSet;
/** {@inheritDoc mapArrayMap} */
_Map.arrayMap = mapArrayMap;
/** {@inheritDoc (mapConcat: 1)} */
_Map.concat = mapConcat;
/** {@inheritDoc (mapDeleteFromSet: 1)} */
_Map.deleteFromSet = mapDeleteFromSet;
/** {@inheritDoc (mapDeleteGet: 1)} */
_Map.deleteGet = mapDeleteGet;
/** {@inheritDoc (mapClearingDeleteFromSet: 1)} */
_Map.clearingDeleteFromSet = mapClearingDeleteFromSet;
/** {@inheritDoc mapEntriesToArray} */
_Map.entriesToArray = mapEntriesToArray;
/** {@inheritDoc mapFirstKey} */
_Map.firstKey = mapFirstKey;
/** {@inheritDoc mapFirstValue} */
_Map.firstValue = mapFirstValue;
/** {@inheritDoc mapIntersect} */
_Map.intersect = mapIntersect;
/** {@inheritDoc (mapInitializeGet:1)} */
_Map.initializeGet = mapInitializeGet;
/** {@inheritDoc mapKeysToArray} */
_Map.keysToArray = mapKeysToArray;
/** {@inheritDoc (mapPush: 1)} */
_Map.push = mapPush;
/** {@inheritDoc (mapReportingAddToSet: 1)} */
_Map.removeManyFromArray = mapRemoveManyFromArray;
/** {@inheritDoc (mapRemoveOneFromArray: 1)} */
_Map.removeOneFromArray = mapRemoveOneFromArray;
/** {@inheritDoc (mapReportingAddToSet: 1)} */
_Map.reportingAddToSet = mapReportingAddToSet;
/** {@inheritDoc mapSetDifference} */
_Map.setDifference = mapSetDifference;
/** {@inheritDoc mapSymmetricDifference} */
_Map.symmetricDifference = mapSymmetricDifference;
/** {@inheritDoc mapUnion} */
_Map.union = mapUnion;
/** {@inheritDoc mapValuesToArray} */
_Map.valuesToArray = mapValuesToArray;
//# sourceMappingURL=_map.js.map