/**
 * @public
 * Gets the first inserted value in a `Map`.
 *
 * @returns The first value in `map`, otherwise `undefined` where size 0.
 *
 * @remarks
 * See {@link mapFirstValue}.
 */
export function mapFirstValue(map) {
    return map
        .values()
        .next()
        .value;
}
//# sourceMappingURL=map-first-value.js.map