/**
 * @public
 * returns items in A not in B.
 *
 * @remarks
 * See {@link mapSetDifference}.
 */
export function mapSetDifference(a, b) {
    const result = new Map();
    a.forEach((item, key) => {
        if (!b.has(key)) {
            result.set(key, item);
        }
    });
    return result;
}
//# sourceMappingURL=map-set-difference.js.map