/**
 * @public
 * Converts a `Map` into an `Array` of its values.
 *
 * @returns The values of `map`.
 *
 * @remarks
 * See {@link mapValuesToArray}.
 */
export function mapValuesToArray(map) {
    return Array.from(map.values());
}
//# sourceMappingURL=map-values-to-array.js.map