import { promiseRejectFalsey } from "./impl/promise-reject-falsey.js";
import { promiseRejectNull } from "./impl/promise-reject-null.js";
import { promiseRejectFalse } from "./impl/promise-reject-false.js";
import { promiseDelay } from "./impl/promise-delay.js";
/**
 * @public
 * Utilities for handling promises.
 */
export class _Promise {
    constructor() {
    }
}
/** {@inheritDoc promiseDelay} */
_Promise.delay = promiseDelay;
/** {@inheritDoc promiseRejectFalse} */
_Promise.rejectFalse = promiseRejectFalse;
/** {@inheritDoc promiseRejectFalsey} */
_Promise.rejectFalsey = promiseRejectFalsey;
/** {@inheritDoc promiseRejectNull} */
_Promise.rejectNull = promiseRejectNull;
//# sourceMappingURL=_promise.js.map