import { setValuesToArray } from "./impl/set-values-to-array.js";
import { setSymmetricDifference } from "./impl/set-symmetric-difference.js";
import { setSetDifference } from "./impl/set-set-difference.js";
import { setIsSetEqual } from "./impl/set-is-set-equal.js";
/**
 * @public
 * Utilities that apply to `Set`.
 */
export class _Set {
    constructor() {
    }
}
/** {@inheritDoc setSetDifference} */
_Set.isSetEqual = setIsSetEqual;
/** {@inheritDoc setSetDifference} */
_Set.setDifference = setSetDifference;
/** {@inheritDoc setValuesToArray} */
_Set.valuesToArray = setValuesToArray;
/** {@inheritDoc setSymmetricDifference} */
_Set.symmetricDifference = setSymmetricDifference;
//# sourceMappingURL=_set.js.map