import { stringNormalizeEmptyToUndefined } from "./impl/string-normalize-empty-to-undefined.js";
import { stringNormalizeNullUndefinedToEmpty } from "./impl/string-normalize-null-undefined-to-empty.js";
/**
 * @public
 * Utilities that apply to `string`.
 */
export declare class _String {
    /** {@inheritDoc stringNormalizeEmptyToUndefined} */
    static readonly normalizeEmptyToUndefined: typeof stringNormalizeEmptyToUndefined;
    /** {@inheritDoc stringNormalizeNullUndefinedToEmpty} */
    static readonly normalizeNullUndefinedToEmpty: typeof stringNormalizeNullUndefinedToEmpty;
    private constructor();
}
