import { IReferenceCounted } from "../../lifecycle/a-reference-counted.js";
/**
 * @public
 */
export declare class LifecycleStack {
    push(): IReferenceCounted[];
    pop(): IReferenceCounted[];
    register(ref: IReferenceCounted): void;
    getSize(): number;
    private readonly allocationStack;
}
/**
 * @public
 */
export declare const lifecycleStack: LifecycleStack;
